# kieker-javascript-core

> Instrument your javascript applications with kieker

## Install

```
$ npm install --save kieker-javascript-core
```

## Usage

### Example

For a general example, please see [our examples directory](../../examples).

- [simple-automated](../../examples/simple-automated) is an example for an automated instrumentation at a very primitive example
- [simple-manual](../../examples/simple-manual) is an example for a manual instrumentation at a very primitive example

### Example for worker

```javascript
var worker = require('kieker-javascript-worker');
worker.onLoad();
onmessage = worker.onMessage;
```

## Development

Please run the tests: `npm test`

## License

MIT © [Daniel Schmidt](http://danielmschmidt.de)
